## org.apache.tomcat.util.buf
Interface ByteChunk.ByteOutputChannel

All Known Implementing Classes:
  InternalOutputBuffer, OutputBuffer

Enclosing class:
  ByteChunk

    public static interface ByteChunk.ByteOutputChannel

Same as java.nio.channel.WrittableByteChannel.

Method Summary
`void` `realWriteBytes(byte[] cbuf, int off, int len)` Send the bytes ( usually the internal conversion buffer ).

Method Detail

### realWriteBytes

    void realWriteBytes(byte[] cbuf,
                        int off,
                        int len)
                        throws java.io.IOException

  Send the bytes ( usually the internal conversion buffer ). Expect 8k output if the buffer is full.

  Throws:
    `java.io.IOException`

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.